tidy.lmodel2 {broom} | R Documentation

## Tidy a(n) lmodel2 object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'lmodel2'
    tidy(x, ...)

### Arguments

`x` | A `lmodel2` object returned by `lmodel2::lmodel2()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

There are always only two terms in an `lmodel2`: `"Intercept"` and `"Slope"`. These are computed by four methods: OLS (ordinary least squares), MA (major axis), SMA (standard major axis), and RMA (ranged major axis).

### Value

A tibble::tibble within eight rows (one for each term estimated with each method) and columns:

`method` | Either OLS/MA/SMA/RMA
`term` | Either "Intercept" or "Slope"
`estimate` | Estimated coefficient
`conf.low` | Lower bound of 95% confidence interval
`conf.high` | Upper bound of 95% confidence interval

### See Also

`tidy()`, `lmodel2::lmodel2()`

Other lmodel2 tidiers: `glance.lmodel2`

### Examples

    if (require("lmodel2", quietly = TRUE)) {

      library(lmodel2)

      data(mod2ex2)
      Ex2.res <- lmodel2(Prey ~ Predators, data=mod2ex2, "relative", "relative", 99)
      Ex2.res

      tidy(Ex2.res)
      glance(Ex2.res)

      # this allows coefficient plots with ggplot2
      library(ggplot2)
      ggplot(tidy(Ex2.res), aes(estimate, term, color = method)) +
        geom_point() +
        geom_errorbarh(aes(xmin = conf.low, xmax = conf.high)) +
        geom_errorbarh(aes(xmin = conf.low, xmax = conf.high))
    }

[Package broom version 0.5.2 Index]